import sys
from collections import namedtuple

if len(sys.argv) != 2:
    print("This program expects a filename as input parameter")
    quit()

infilename = sys.argv[1]

AnalyzerData = namedtuple('AnalyzerData', ('start_time', 'duration', 'data'))

entries = []

with open(infilename) as infile:
    lineno = 0

    for line in infile:
        lineno += 1
        
        if lineno == 1:
            #ignore header
            continue

        parts = line.strip("\n").split(",")
        if len(parts) == 0:
            print("empty line @ %u" % lineno)

        if len(parts) != 5:
            print("wrong data length @ %u" % lineno)

        entries.append(AnalyzerData(float(parts[2]), float(parts[3]), parts[4]))

i = 0
while True:
    if entries[i].data != '0x0000':
        msg = entries[i:i+5]
        start_time = msg[0].start_time
        duration = msg[-1].start_time + msg[-1].duration - start_time
        data = [e.data for e in msg]
        print("\t".join([str(start_time), str(duration), "\t".join(data)]))
        i += 5
    else:
        i += 1
    if i == len(entries):
        break
